Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class ConnectionPoolPerformance

    java.lang.Object
      oracle.ifs.server.ConnectionPoolPerformance

All Implemented Interfaces:
  java.io.Serializable

    public class ConnectionPoolPerformance

extends java.lang.Object
implements java.io.Serializable

ConnectionPoolPerformance provides a snapshot view of the performance of a ConnectionPool.

See Also:
  Serialized Form
(Unpublished)

Constructor Summary
`protected` | `ConnectionPoolPerformance(java.lang.String name, int currentSize, int allocatedSize, int immediateAllocationCount, int deferredAllocationCount, int failedAllocationCount, long averageAllocationTime, int connectionPurgeAttempts, int connectionPurgeCount)` Constructs a ConnectionPoolPerformance.

Method Summary
`int` | `getAllocatedSize()` Gets the number of allocated LibraryConnections in the ConnectionPool.
`long` | `getAverageAllocationTime()` Gets the average elapsed time for a connection allocation request, in milliseconds.
`int` | `getConnectionPurgeAttempts()` Gets the number of times one of the LibraryConnections performed a statement purge attempt as part of being allocated.
`int` | `getConnectionStatementPurgeCount()` Gets the number of statements purged by LibraryConnections during purges that occur as part of being allocated.
`int` | `getCurrentSize()` Gets the total number of LibraryConnections in the ConnectionPool.
`int` | `getDeferredAllocationCount()` Gets the number of connection allocation requests that were serviced after waiting for an existing LibraryConnection to become free, either by allocating an existing LibraryConnection (if possible) or by creating a new LibraryConnection.
`int` | `getFailedAllocationCount()` Gets the number of connection allocation requests that failed (throwing an exception) becuase no existing LibraryConnection became available within the period specified by the ConnectionPool's maximum size timeout parameter and no new LibraryConnection could be created because the ConnectionPool size had reached its absolute maximum.
`int` | `getImmediateAllocationCount()` Gets the number of connection allocation requests that were serviced immediately, either by allocating an existing LibraryConnection (if possible) or by creating a new LibraryConnection.
`java.lang.String` | `getName()` Gets the name of the connection pool.
`java.lang.String` | `toString()` Gets a string representation of this ConnectionPoolPerformance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionPoolPerformance

    protected ConnectionPoolPerformance(java.lang.String name,
                                        int currentSize,
                                        int allocatedSize,
                                        int immediateAllocationCount,
                                        int deferredAllocationCount,
                                        int failedAllocationCount,
                                        long averageAllocationTime,
                                        int connectionPurgeAttempts,
                                        int connectionPurgeCount)
                                 throws IfsException

  Constructs a ConnectionPoolPerformance.

  Parameters:
    `name` - the name of the connection pool
    `currentSize` - the current size
    `allocatedSize` - the allocated size
    `immediateAllocationCount` - the immediate allocation count
    `deferredAllocationCount` - the deferred allocation count
    `failedAllocationCount` - the failed allocation count
    `averageAllocationTime` - the average allocation time
    `connectionPurgeAttempts` - the number of connection purges
    `connectionPurgeCount` - the number of statements purged
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `ConnectionPoolPerformance`
  Gets the name of the connection pool.

  Returns:
    the name
  (Unpublished)

### getCurrentSize

    public int getCurrentSize()

  Description copied from class: `ConnectionPoolPerformance`
  Gets the total number of LibraryConnections in the ConnectionPool.

  Returns:
    the number of connections
  (Unpublished)

### getAllocatedSize

    public int getAllocatedSize()

  Description copied from class: `ConnectionPoolPerformance`
  Gets the number of allocated LibraryConnections in the ConnectionPool.

  Returns:
    the number of allocated connections
  (Unpublished)

### getImmediateAllocationCount

    public int getImmediateAllocationCount()

  Description copied from class: `ConnectionPoolPerformance`
  Gets the number of connection allocation requests that were serviced immediately, either by allocating an existing LibraryConnection (if possible) or by creating a new LibraryConnection.

  Returns:
    the count
  (Unpublished)

### getDeferredAllocationCount

    public int getDeferredAllocationCount()

  Description copied from class: `ConnectionPoolPerformance`
  Gets the number of connection allocation requests that were serviced after waiting for an existing LibraryConnection to become free, either by allocating an existing LibraryConnection (if possible) or by creating a new LibraryConnection.

  Returns:
    the count
  (Unpublished)

### getFailedAllocationCount

    public int getFailedAllocationCount()

  Description copied from class: `ConnectionPoolPerformance`
  Gets the number of connection allocation requests that failed (throwing an exception) becuase no existing LibraryConnection became available within the period specified by the ConnectionPool's maximum size timeout parameter and no new LibraryConnection could be created because the ConnectionPool size had reached its absolute maximum.

  Returns:
    the count
  (Unpublished)

### getAverageAllocationTime

    public long getAverageAllocationTime()

  Description copied from class: `ConnectionPoolPerformance`
  Gets the average elapsed time for a connection allocation request, in milliseconds.

  Allocation requests that failed (throwing an exception) are not included.

  High allocation times may indicate that this ConnectionPool is too small, causing excessive contention for LibraryConnections.

  Returns:
    the average elapsed time, in milliseconds
  (Unpublished)

### getConnectionPurgeAttempts

    public int getConnectionPurgeAttempts()

  Description copied from class: `ConnectionPoolPerformance`
  Gets the number of times one of the LibraryConnections performed a statement purge attempt as part of being allocated.

  Returns:
    the number of connection purge attempts

### getConnectionStatementPurgeCount

    public int getConnectionStatementPurgeCount()

  Description copied from class: `ConnectionPoolPerformance`
  Gets the number of statements purged by LibraryConnections during purges that occur as part of being allocated.

  Returns:
    the number of statements purged during connection purge attempts

### toString

    public java.lang.String toString()

  Description copied from class: `ConnectionPoolPerformance`
  Gets a string representation of this ConnectionPoolPerformance.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD